%define upstream_name	 Net-CIDR
%define upstream_version 0.26

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Manipulate IPv4/IPv6 netblocks in CIDR notation
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 1.0.0
BuildArch:  noarch

%{?perl_default_filter}

%description
With this module, you can manipulate IPv4/IPv6 netblocks in CIDR notation.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc COPYING ChangeLog META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Net
%{_mandir}/*/*

%changelog
* Tue Jul 01 2025 tv <tv> 0.260.0-1.mga10
+ Revision: 2233949
- update to 0.26

* Tue Jun 10 2025 tv <tv> 0.250.0-1.mga10
+ Revision: 2190302
- update to 0.25

* Wed Mar 12 2025 tv <tv> 0.230.0-1.mga10
+ Revision: 2163063
- update to 0.23

* Mon Mar 21 2022 umeabot <umeabot> 0.210.0-2.mga9
+ Revision: 1814330
- Mageia 9 Mass Rebuild

* Sun Apr 04 2021 tv <tv> 0.210.0-1.mga9
+ Revision: 1713151
- update to 0.21

* Sat Feb 15 2020 umeabot <umeabot> 0.200.0-2.mga8
+ Revision: 1525458
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Apr 17 2019 shlomif <shlomif> 0.200.0-1.mga7
+ Revision: 1392500
- update to 0.20

* Thu Sep 20 2018 umeabot <umeabot> 0.190.0-2.mga7
+ Revision: 1285114
- Mageia 7 Mass Rebuild

* Fri Jun 22 2018 shlomif <shlomif> 0.190.0-1.mga7
+ Revision: 1238933
- update to 0.19

* Sun Jun 19 2016 pterjan <pterjan> 0.180.0-3.mga6
+ Revision: 1030994
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.180.0-2.mga6
+ Revision: 967132
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 sander85 <sander85> 0.180.0-1.mga6
+ Revision: 848143
- update to 0.18

* Wed Oct 15 2014 umeabot <umeabot> 0.170.0-6.mga5
+ Revision: 747375
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.170.0-5.mga5
+ Revision: 732411
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.170.0-4.mga5
+ Revision: 685629
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.170.0-3.mga4
+ Revision: 513337
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.170.0-2.mga3
+ Revision: 370506
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 0.170.0-1.mga3
+ Revision: 315192
- update to 0.17

* Mon Oct 01 2012 jquelin <jquelin> 0.160.0-1.mga3
+ Revision: 301281
- update to 0.16

* Thu Feb 23 2012 jquelin <jquelin> 0.150.0-1.mga2
+ Revision: 213077
- update to 0.15

* Sat Jan 22 2011 jquelin <jquelin> 0.140.0-1.mga1
+ Revision: 30881
- mageia rebuild
- imported package perl-Net-CIDR

